diff -u rserv-dist/ApplySnapshot.in rserv/ApplySnapshot.in
--- rserv-dist/ApplySnapshot.in	Wed Feb 27 14:29:48 2002
+++ rserv/ApplySnapshot.in	Wed Feb 27 14:43:23 2002
@@ -32,10 +32,12 @@
 $sinfo = "$sinfo user=$opt_user" if (defined($opt_user));
 $sinfo = "$sinfo password=$opt_password" if (defined($opt_password));
 
-my $conn = Pg::connectdb(sinfo);
+my $conn = Pg::connectdb($sinfo);
 
 my $inpf = new IO::File;
 $inpf = STDIN;
+
+$RServ::quiet = !$verbose;
 
 $res = ApplySnapshot ($conn, $inpf);
 
diff -u rserv-dist/CleanLog.in rserv/CleanLog.in
--- rserv-dist/CleanLog.in	Wed Feb 27 14:29:48 2002
+++ rserv/CleanLog.in	Wed Feb 27 14:44:22 2002
@@ -38,6 +38,8 @@
 
 my $conn = Pg::connectdb($minfo);
 
+$RServ::quiet = !$verbose;
+
 $res = CleanLog($conn, $howold);
 
 exit(1) if $res < 0;
diff -u rserv-dist/GetSyncID.in rserv/GetSyncID.in
--- rserv-dist/GetSyncID.in	Wed Feb 27 14:29:48 2002
+++ rserv/GetSyncID.in	Wed Feb 27 14:45:08 2002
@@ -37,6 +37,8 @@
 print("Connecting to '$sinfo'\n") if ($debug || $verbose);
 my $conn = Pg::connectdb($sinfo);
 
+$RServ::quiet = !$verbose;
+
 $res = GetSyncID($conn);
 
 die "ERROR\n" if $res < 0;
diff -u rserv-dist/Makefile rserv/Makefile
--- rserv-dist/Makefile	Wed Feb 27 14:29:48 2002
+++ rserv/Makefile	Tue Feb 12 16:54:31 2002
@@ -22,10 +22,10 @@
 all: $(SQLS) $(TCLS) $(PERLS) $(SCRIPTS) $(SONAME)
 
 %.sql: %.sql.in
-	sed 's,@MODULE_FILENAME@,$$libdir/$(NAME),g' $< >$@
+	sed 's,@MODULE_FILENAME@,$(pkglibdir)/$(SONAME),g' $< >$@
 
 $(PERLS) $(TCLS) $(SCRIPTS): %: %.in
-	sed -e 's,@MODULE_FILENAME@,$$libdir/$(NAME),g' \
+	sed -e 's,@MODULE_FILENAME@,$(pkglibdir)/$(SONAME),g' \
 	    -e 's:@SQLDIR@:$(datadir)/contrib:g' \
 	    -e 's:@BINDIR@:$(bindir):g' \
 	    -e 's:@LIBDIR@:$(datadir)/contrib:g' $< >$@
diff -u rserv-dist/MasterSync.in rserv/MasterSync.in
--- rserv-dist/MasterSync.in	Wed Feb 27 14:29:48 2002
+++ rserv/MasterSync.in	Wed Feb 27 14:48:11 2002
@@ -36,6 +36,8 @@
 
 my $conn = Pg::connectdb($minfo);
 
+$RServ::quiet = !$verbose;
+
 $res = SyncSyncID($conn, $server, $syncid);
 
 if ($res == 0)
diff -u rserv-dist/PrepareSnapshot.in rserv/PrepareSnapshot.in
--- rserv-dist/PrepareSnapshot.in	Wed Feb 27 14:29:48 2002
+++ rserv/PrepareSnapshot.in	Wed Feb 27 14:48:37 2002
@@ -39,6 +39,8 @@
 my $outf = new IO::File;
 $outf = STDOUT;
 
+$RServ::quiet = !$verbose;
+
 $res = PrepareSnapshot ($conn, $outf, $server);
 
 if ($res == 0)
diff -u rserv-dist/Replicate.in rserv/Replicate.in
--- rserv-dist/Replicate.in	Wed Feb 27 14:29:48 2002
+++ rserv/Replicate.in	Wed Feb 27 14:50:48 2002
@@ -49,6 +49,8 @@
 my $mconn = Pg::connectdb($minfo);
 my $sconn = Pg::connectdb($sinfo);
 
+$RServ::quiet = !$verbose;
+
 SyncSync($mconn, $sconn);
 
 my $outf = new IO::File;
